Skip to content

Recipient state change
Webhook

Request

Triggered when a recipient account created or changed through hosted recipient creation changes state. See the Embedded Flows guide for an example recipient creation flow.

Events may not be delivered in the order they occurred. Use data.resource.occurred_at to reconcile the order. See the Event Ordering guide for details.

  • Event type: recipients#state-change
  • Profile level subscriptions: Supported
  • Application level subscriptions: Supported
Headers
X-Signature-SHA256string

RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.

Example:t7FMhk3OARMgwqz0LJXO...
X-Delivery-Idstring, (uuid)

Unique identifier for this webhook delivery attempt.

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
X-Test-Notificationboolean

Present with the value true if this is a test notification sent to verify your callback URL during subscription setup.

Example:true
Bodyapplication/json
schema_versionstringrequired

Version of the event schema. Determined by the schema_version on your webhook subscription.

Value:"4.0.0"
Example:"4.0.0"
Discriminator
subscription_idstring, (uuid)required

ID of the webhook subscription that triggered this event.

Example:"ced03af9-be76-46ac-ada8-7fe935792290"
event_typestringrequired

Event type identifier.

Value:"recipients#state-change"
Example:"recipients#state-change"
sent_atstring, (date-time)required

Timestamp when the event was sent.

Example:"2026-06-15T13:18:20.265Z"
dataobjectrequired
Payload
{ "schema_version": "4.0.0", "subscription_id": "ced03af9-be76-46ac-ada8-7fe935792290", "event_type": "recipients#state-change", "sent_at": "2026-06-15T13:18:20.265Z", "data": { "resource": { "id": "700525176", "occurred_at": "2026-06-15T13:18:20.265Z", "data": {} } } }

Responses

Return any 2xx status to acknowledge receipt of the event.

Bodyapplication/json
statusstring
Example:"ok"
Response
{ "status": "ok" }